#ifndef DEFINICIONS_H
#define DEFINICIONS_H

#include "SDL.h"


const Uint8 SPF = 15;


#ifdef TARGET_WINDOWS
#   define GP2X_BUTTON_UP              (SDLK_KP8)
#   define GP2X_BUTTON_DOWN            (SDLK_KP2)
#   define GP2X_BUTTON_LEFT            (SDLK_KP4)
#   define GP2X_BUTTON_RIGHT           (SDLK_KP6)
#   define GP2X_BUTTON_UPLEFT          (SDLK_KP7)
#   define GP2X_BUTTON_UPRIGHT         (SDLK_KP9)
#   define GP2X_BUTTON_DOWNLEFT        (SDLK_KP1)
#   define GP2X_BUTTON_DOWNRIGHT       (SDLK_KP3)
#   define GP2X_BUTTON_START           (SDLK_RETURN)
#else
#   define GP2X_BUTTON_UP              (0)
#   define GP2X_BUTTON_DOWN            (4)
#   define GP2X_BUTTON_LEFT            (2)
#   define GP2X_BUTTON_RIGHT           (6)
#   define GP2X_BUTTON_UPLEFT          (1)
#   define GP2X_BUTTON_UPRIGHT         (7)
#   define GP2X_BUTTON_DOWNLEFT        (3)
#   define GP2X_BUTTON_DOWNRIGHT       (5)
#   define GP2X_BUTTON_START           (8)
#endif


#endif // DEFINICIONS_H
